Skip to content

Get headlines (topics list)

GET
/topics

Retrieve a paginated list of topics/headlines with optional filters

Authorizations

ApiKeyAuth

API key authentication. Format: cpt_{env}v1{random}_{checksum}. Example: cpt_prod_v1_xxxxxxxxxx_xx

Type
API Key (header: X-CP-TERMINAL-API-KEY)

Parameters

Query Parameters

category

Filter by category (0=Breaking, 1=Important, 2=Normal)

Type
integer
Valid values
012
Example0
page

Page number

Type
integer
Example1
Minimum
1
Default
1
page_size

Number of items per page

Type
integer
Example20
Minimum
1
Default
20
lang

Language code

Type
string
Valid values
"en""ja""zh"
Example"en"
Default
"en"
publish_before

Filter by topics published before this date (RFC3339 format)

Type
string
Example"2026-03-12T09:45:44Z"
Format
"date-time"
publish_after

Filter by topics published after this date (RFC3339 format)

Type
string
Example"2026-03-10T09:45:44Z"
Format
"date-time"

Responses

Successful response

application/json
JSON
{
  
"code": 0,
  
"message": "ok",
  
"data": [
  
  
{
  
  
  
"id": 1,
  
  
  
"title": "Bitcoin hits new high",
  
  
  
"subtitle": "crypto",
  
  
  
"summary": "market analysis summary",
  
  
  
"category": 0,
  
  
  
"lang": "en",
  
  
  
"published_at": "2026-01-01T10:00:00Z",
  
  
  
"url": "https://coinpost.ai/topics/1"
  
  
}
  
],
  
"total": 100
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI